]> git.ipfire.org Git - thirdparty/binutils-gdb.git/blob - sim/Makefile.in
0c26ad25c6e40f8d1b4bcd160a7ed99a626b1623
[thirdparty/binutils-gdb.git] / sim / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Copyright (C) 1993-2021 Free Software Foundation, Inc.
19 #
20 # This program is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 3 of the License, or
23 # (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28 # GNU General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program. If not, see <http://www.gnu.org/licenses/>.
32
33 #
34 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
35 #
36 # This program is free software; you can redistribute it and/or modify
37 # it under the terms of the GNU General Public License as published by
38 # the Free Software Foundation; either version 3 of the License, or
39 # (at your option) any later version.
40 #
41 # This program is distributed in the hope that it will be useful,
42 # but WITHOUT ANY WARRANTY; without even the implied warranty of
43 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
44 # GNU General Public License for more details.
45 #
46 # You should have received a copy of the GNU General Public License
47 # along with this program. If not, see <http://www.gnu.org/licenses/>.
48
49 # Parts of the common/ sim code that have been unified.
50 # Most still lives in common/Make-common.in.
51
52 # The IGEN simulator generator for GDB, the GNU Debugger.
53 #
54 # Copyright 2002-2021 Free Software Foundation, Inc.
55 #
56 # Contributed by Andrew Cagney.
57 #
58 # This file is part of GDB.
59 #
60 # This program is free software; you can redistribute it and/or modify
61 # it under the terms of the GNU General Public License as published by
62 # the Free Software Foundation; either version 3 of the License, or
63 # (at your option) any later version.
64 #
65 # This program is distributed in the hope that it will be useful,
66 # but WITHOUT ANY WARRANTY; without even the implied warranty of
67 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
68 # GNU General Public License for more details.
69 #
70 # You should have received a copy of the GNU General Public License
71 # along with this program. If not, see <http://www.gnu.org/licenses/>.
72
73 #
74 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
75 #
76 # This program is free software; you can redistribute it and/or modify
77 # it under the terms of the GNU General Public License as published by
78 # the Free Software Foundation; either version 3 of the License, or
79 # (at your option) any later version.
80 #
81 # This program is distributed in the hope that it will be useful,
82 # but WITHOUT ANY WARRANTY; without even the implied warranty of
83 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
84 # GNU General Public License for more details.
85 #
86 # You should have received a copy of the GNU General Public License
87 # along with this program. If not, see <http://www.gnu.org/licenses/>.
88
89 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
90 #
91 # This program is free software; you can redistribute it and/or modify
92 # it under the terms of the GNU General Public License as published by
93 # the Free Software Foundation; either version 3 of the License, or
94 # (at your option) any later version.
95 #
96 # This program is distributed in the hope that it will be useful,
97 # but WITHOUT ANY WARRANTY; without even the implied warranty of
98 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
99 # GNU General Public License for more details.
100 #
101 # You should have received a copy of the GNU General Public License
102 # along with this program. If not, see <http://www.gnu.org/licenses/>.
103
104
105 VPATH = @srcdir@
106 am__is_gnu_make = { \
107 if test -z '$(MAKELEVEL)'; then \
108 false; \
109 elif test -n '$(MAKE_HOST)'; then \
110 true; \
111 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
112 true; \
113 else \
114 false; \
115 fi; \
116 }
117 am__make_running_with_option = \
118 case $${target_option-} in \
119 ?) ;; \
120 *) echo "am__make_running_with_option: internal error: invalid" \
121 "target option '$${target_option-}' specified" >&2; \
122 exit 1;; \
123 esac; \
124 has_opt=no; \
125 sane_makeflags=$$MAKEFLAGS; \
126 if $(am__is_gnu_make); then \
127 sane_makeflags=$$MFLAGS; \
128 else \
129 case $$MAKEFLAGS in \
130 *\\[\ \ ]*) \
131 bs=\\; \
132 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
133 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
134 esac; \
135 fi; \
136 skip_next=no; \
137 strip_trailopt () \
138 { \
139 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
140 }; \
141 for flg in $$sane_makeflags; do \
142 test $$skip_next = yes && { skip_next=no; continue; }; \
143 case $$flg in \
144 *=*|--*) continue;; \
145 -*I) strip_trailopt 'I'; skip_next=yes;; \
146 -*I?*) strip_trailopt 'I';; \
147 -*O) strip_trailopt 'O'; skip_next=yes;; \
148 -*O?*) strip_trailopt 'O';; \
149 -*l) strip_trailopt 'l'; skip_next=yes;; \
150 -*l?*) strip_trailopt 'l';; \
151 -[dEDm]) skip_next=yes;; \
152 -[JT]) skip_next=yes;; \
153 esac; \
154 case $$flg in \
155 *$$target_option*) has_opt=yes; break;; \
156 esac; \
157 done; \
158 test $$has_opt = yes
159 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
160 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
161 pkgdatadir = $(datadir)/@PACKAGE@
162 pkgincludedir = $(includedir)/@PACKAGE@
163 pkglibdir = $(libdir)/@PACKAGE@
164 pkglibexecdir = $(libexecdir)/@PACKAGE@
165 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
166 install_sh_DATA = $(install_sh) -c -m 644
167 install_sh_PROGRAM = $(install_sh) -c
168 install_sh_SCRIPT = $(install_sh) -c
169 INSTALL_HEADER = $(INSTALL_DATA)
170 transform = $(program_transform_name)
171 NORMAL_INSTALL = :
172 PRE_INSTALL = :
173 POST_INSTALL = :
174 NORMAL_UNINSTALL = :
175 PRE_UNINSTALL = :
176 POST_UNINSTALL = :
177 build_triplet = @build@
178 host_triplet = @host@
179 target_triplet = @target@
180 check_PROGRAMS = $(am__EXEEXT_3)
181 EXTRA_PROGRAMS = $(am__EXEEXT_2) testsuite/common/bits-gen$(EXEEXT) \
182 testsuite/common/fpu-tst$(EXEEXT)
183
184 # This makes sure igen is available before building the arch-subdirs which
185 # need to run the igen tool.
186 @SIM_ENABLE_IGEN_TRUE@am__append_1 = igen/igen$(EXEEXT)
187 @SIM_ENABLE_IGEN_TRUE@am__append_2 = igen/libigen.a
188 @SIM_ENABLE_IGEN_TRUE@am__append_3 = $(igen_IGEN_TOOLS)
189 @SIM_ENABLE_IGEN_TRUE@am__append_4 = $(igen_IGEN_TOOLS)
190 TESTS = testsuite/common/bits32m0$(EXEEXT) \
191 testsuite/common/bits32m31$(EXEEXT) \
192 testsuite/common/bits64m0$(EXEEXT) \
193 testsuite/common/bits64m63$(EXEEXT) \
194 testsuite/common/alu-tst$(EXEEXT)
195 subdir = .
196 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
197 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
198 $(top_srcdir)/../config/depstand.m4 \
199 $(top_srcdir)/../config/gettext-sister.m4 \
200 $(top_srcdir)/../config/lead-dot.m4 \
201 $(top_srcdir)/../config/override.m4 \
202 $(top_srcdir)/../config/plugins.m4 \
203 $(top_srcdir)/../config/zlib.m4 $(top_srcdir)/../libtool.m4 \
204 $(top_srcdir)/../ltoptions.m4 $(top_srcdir)/../ltsugar.m4 \
205 $(top_srcdir)/../ltversion.m4 $(top_srcdir)/../lt~obsolete.m4 \
206 $(top_srcdir)/m4/sim_ac_option_alignment.m4 \
207 $(top_srcdir)/m4/sim_ac_option_assert.m4 \
208 $(top_srcdir)/m4/sim_ac_option_cgen_maint.m4 \
209 $(top_srcdir)/m4/sim_ac_option_debug.m4 \
210 $(top_srcdir)/m4/sim_ac_option_endian.m4 \
211 $(top_srcdir)/m4/sim_ac_option_environment.m4 \
212 $(top_srcdir)/m4/sim_ac_option_hardware.m4 \
213 $(top_srcdir)/m4/sim_ac_option_inline.m4 \
214 $(top_srcdir)/m4/sim_ac_option_profile.m4 \
215 $(top_srcdir)/m4/sim_ac_option_stdio.m4 \
216 $(top_srcdir)/m4/sim_ac_option_trace.m4 \
217 $(top_srcdir)/m4/sim_ac_option_warnings.m4 \
218 $(top_srcdir)/m4/sim_ac_platform.m4 \
219 $(top_srcdir)/m4/sim_ac_toolchain.m4 \
220 $(top_srcdir)/configure.ac
221 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
222 $(ACLOCAL_M4)
223 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
224 $(am__configure_deps) $(pkginclude_HEADERS)
225 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
226 configure.lineno config.status.lineno
227 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
228 CONFIG_HEADER = config.h
229 CONFIG_CLEAN_FILES = Make-common.sim aarch64/Makefile.sim \
230 arm/Makefile.sim avr/Makefile.sim cr16/Makefile.sim \
231 d10v/Makefile.sim ft32/Makefile.sim h8300/Makefile.sim \
232 m32c/Makefile.sim m68hc11/Makefile.sim mcore/Makefile.sim \
233 microblaze/Makefile.sim moxie/Makefile.sim msp430/Makefile.sim \
234 pru/Makefile.sim rl78/Makefile.sim sh/Makefile.sim \
235 example-synacor/Makefile.sim arch-subdir.mk
236 CONFIG_CLEAN_VPATH_FILES =
237 LIBRARIES = $(noinst_LIBRARIES)
238 ARFLAGS = cru
239 AM_V_AR = $(am__v_AR_@AM_V@)
240 am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
241 am__v_AR_0 = @echo " AR " $@;
242 am__v_AR_1 =
243 common_libcommon_a_AR = $(AR) $(ARFLAGS)
244 common_libcommon_a_LIBADD =
245 am__dirstamp = $(am__leading_dot)dirstamp
246 am_common_libcommon_a_OBJECTS = \
247 common/common_libcommon_a-portability.$(OBJEXT) \
248 common/common_libcommon_a-sim-load.$(OBJEXT) \
249 common/common_libcommon_a-version.$(OBJEXT)
250 common_libcommon_a_OBJECTS = $(am_common_libcommon_a_OBJECTS)
251 igen_libigen_a_AR = $(AR) $(ARFLAGS)
252 igen_libigen_a_LIBADD =
253 @SIM_ENABLE_IGEN_TRUE@am_igen_libigen_a_OBJECTS = \
254 @SIM_ENABLE_IGEN_TRUE@ igen/table.$(OBJEXT) igen/lf.$(OBJEXT) \
255 @SIM_ENABLE_IGEN_TRUE@ igen/misc.$(OBJEXT) \
256 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.$(OBJEXT) \
257 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.$(OBJEXT) \
258 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.$(OBJEXT) \
259 @SIM_ENABLE_IGEN_TRUE@ igen/filter.$(OBJEXT) \
260 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.$(OBJEXT) \
261 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.$(OBJEXT) \
262 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.$(OBJEXT) \
263 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.$(OBJEXT) \
264 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.$(OBJEXT) \
265 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.$(OBJEXT) \
266 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.$(OBJEXT) \
267 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.$(OBJEXT) \
268 @SIM_ENABLE_IGEN_TRUE@ igen/gen.$(OBJEXT)
269 igen_libigen_a_OBJECTS = $(am_igen_libigen_a_OBJECTS)
270 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_1 = igen/igen$(EXEEXT) \
271 @SIM_ENABLE_IGEN_TRUE@ igen/filter$(EXEEXT) igen/gen$(EXEEXT) \
272 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache$(EXEEXT) \
273 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode$(EXEEXT) \
274 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn$(EXEEXT) \
275 @SIM_ENABLE_IGEN_TRUE@ igen/table$(EXEEXT)
276 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_2 = $(am__EXEEXT_1)
277 am__EXEEXT_3 = testsuite/common/bits32m0$(EXEEXT) \
278 testsuite/common/bits32m31$(EXEEXT) \
279 testsuite/common/bits64m0$(EXEEXT) \
280 testsuite/common/bits64m63$(EXEEXT) \
281 testsuite/common/alu-tst$(EXEEXT)
282 am_igen_filter_OBJECTS =
283 igen_filter_OBJECTS = $(am_igen_filter_OBJECTS)
284 @SIM_ENABLE_IGEN_TRUE@igen_filter_DEPENDENCIES = igen/filter-main.o \
285 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
286 AM_V_lt = $(am__v_lt_@AM_V@)
287 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
288 am__v_lt_0 = --silent
289 am__v_lt_1 =
290 am_igen_gen_OBJECTS =
291 igen_gen_OBJECTS = $(am_igen_gen_OBJECTS)
292 @SIM_ENABLE_IGEN_TRUE@igen_gen_DEPENDENCIES = igen/gen-main.o \
293 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
294 @SIM_ENABLE_IGEN_TRUE@am_igen_igen_OBJECTS = igen/igen.$(OBJEXT)
295 igen_igen_OBJECTS = $(am_igen_igen_OBJECTS)
296 @SIM_ENABLE_IGEN_TRUE@igen_igen_DEPENDENCIES = igen/libigen.a
297 am_igen_ld_cache_OBJECTS =
298 igen_ld_cache_OBJECTS = $(am_igen_ld_cache_OBJECTS)
299 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_DEPENDENCIES = \
300 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache-main.o igen/libigen.a
301 am_igen_ld_decode_OBJECTS =
302 igen_ld_decode_OBJECTS = $(am_igen_ld_decode_OBJECTS)
303 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_DEPENDENCIES = \
304 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode-main.o igen/libigen.a
305 am_igen_ld_insn_OBJECTS =
306 igen_ld_insn_OBJECTS = $(am_igen_ld_insn_OBJECTS)
307 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_DEPENDENCIES = igen/ld-insn-main.o \
308 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
309 am_igen_table_OBJECTS =
310 igen_table_OBJECTS = $(am_igen_table_OBJECTS)
311 @SIM_ENABLE_IGEN_TRUE@igen_table_DEPENDENCIES = igen/table-main.o \
312 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
313 testsuite_common_alu_tst_SOURCES = testsuite/common/alu-tst.c
314 testsuite_common_alu_tst_OBJECTS = testsuite/common/alu-tst.$(OBJEXT)
315 testsuite_common_alu_tst_LDADD = $(LDADD)
316 testsuite_common_bits_gen_SOURCES = testsuite/common/bits-gen.c
317 testsuite_common_bits_gen_OBJECTS = \
318 testsuite/common/bits-gen.$(OBJEXT)
319 testsuite_common_bits_gen_LDADD = $(LDADD)
320 testsuite_common_bits32m0_SOURCES = testsuite/common/bits32m0.c
321 testsuite_common_bits32m0_OBJECTS = \
322 testsuite/common/bits32m0.$(OBJEXT)
323 testsuite_common_bits32m0_LDADD = $(LDADD)
324 testsuite_common_bits32m31_SOURCES = testsuite/common/bits32m31.c
325 testsuite_common_bits32m31_OBJECTS = \
326 testsuite/common/bits32m31.$(OBJEXT)
327 testsuite_common_bits32m31_LDADD = $(LDADD)
328 testsuite_common_bits64m0_SOURCES = testsuite/common/bits64m0.c
329 testsuite_common_bits64m0_OBJECTS = \
330 testsuite/common/bits64m0.$(OBJEXT)
331 testsuite_common_bits64m0_LDADD = $(LDADD)
332 testsuite_common_bits64m63_SOURCES = testsuite/common/bits64m63.c
333 testsuite_common_bits64m63_OBJECTS = \
334 testsuite/common/bits64m63.$(OBJEXT)
335 testsuite_common_bits64m63_LDADD = $(LDADD)
336 testsuite_common_fpu_tst_SOURCES = testsuite/common/fpu-tst.c
337 testsuite_common_fpu_tst_OBJECTS = testsuite/common/fpu-tst.$(OBJEXT)
338 testsuite_common_fpu_tst_LDADD = $(LDADD)
339 AM_V_P = $(am__v_P_@AM_V@)
340 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
341 am__v_P_0 = false
342 am__v_P_1 = :
343 AM_V_GEN = $(am__v_GEN_@AM_V@)
344 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
345 am__v_GEN_0 = @echo " GEN " $@;
346 am__v_GEN_1 =
347 AM_V_at = $(am__v_at_@AM_V@)
348 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
349 am__v_at_0 = @
350 am__v_at_1 =
351 DEFAULT_INCLUDES = -I.@am__isrc@
352 depcomp = $(SHELL) $(top_srcdir)/../depcomp
353 am__depfiles_maybe = depfiles
354 am__mv = mv -f
355 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
356 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
357 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
358 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
359 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
360 $(AM_CFLAGS) $(CFLAGS)
361 AM_V_CC = $(am__v_CC_@AM_V@)
362 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
363 am__v_CC_0 = @echo " CC " $@;
364 am__v_CC_1 =
365 CCLD = $(CC)
366 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
367 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
368 $(AM_LDFLAGS) $(LDFLAGS) -o $@
369 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
370 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
371 am__v_CCLD_0 = @echo " CCLD " $@;
372 am__v_CCLD_1 =
373 SOURCES = $(common_libcommon_a_SOURCES) $(igen_libigen_a_SOURCES) \
374 $(igen_filter_SOURCES) $(igen_gen_SOURCES) \
375 $(igen_igen_SOURCES) $(igen_ld_cache_SOURCES) \
376 $(igen_ld_decode_SOURCES) $(igen_ld_insn_SOURCES) \
377 $(igen_table_SOURCES) testsuite/common/alu-tst.c \
378 testsuite/common/bits-gen.c testsuite/common/bits32m0.c \
379 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
380 testsuite/common/bits64m63.c testsuite/common/fpu-tst.c
381 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
382 ctags-recursive dvi-recursive html-recursive info-recursive \
383 install-data-recursive install-dvi-recursive \
384 install-exec-recursive install-html-recursive \
385 install-info-recursive install-pdf-recursive \
386 install-ps-recursive install-recursive installcheck-recursive \
387 installdirs-recursive pdf-recursive ps-recursive \
388 tags-recursive uninstall-recursive
389 am__can_run_installinfo = \
390 case $$AM_UPDATE_INFO_DIR in \
391 n|no|NO) false;; \
392 *) (install-info --version) >/dev/null 2>&1;; \
393 esac
394 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
395 am__vpath_adj = case $$p in \
396 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
397 *) f=$$p;; \
398 esac;
399 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
400 am__install_max = 40
401 am__nobase_strip_setup = \
402 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
403 am__nobase_strip = \
404 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
405 am__nobase_list = $(am__nobase_strip_setup); \
406 for p in $$list; do echo "$$p $$p"; done | \
407 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
408 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
409 if (++n[$$2] == $(am__install_max)) \
410 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
411 END { for (dir in files) print dir, files[dir] }'
412 am__base_list = \
413 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
414 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
415 am__uninstall_files_from_dir = { \
416 test -z "$$files" \
417 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
418 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
419 $(am__cd) "$$dir" && rm -f $$files; }; \
420 }
421 am__installdirs = "$(DESTDIR)$(pkgincludedir)"
422 HEADERS = $(pkginclude_HEADERS)
423 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
424 distclean-recursive maintainer-clean-recursive
425 am__recursive_targets = \
426 $(RECURSIVE_TARGETS) \
427 $(RECURSIVE_CLEAN_TARGETS) \
428 $(am__extra_recursive_targets)
429 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
430 cscope check recheck
431 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
432 $(LISP)config.h.in
433 # Read a list of newline-separated strings from the standard input,
434 # and print each of them once, without duplicates. Input order is
435 # *not* preserved.
436 am__uniquify_input = $(AWK) '\
437 BEGIN { nonempty = 0; } \
438 { items[$$0] = 1; nonempty = 1; } \
439 END { if (nonempty) { for (i in items) print i; }; } \
440 '
441 # Make sure the list of sources is unique. This is necessary because,
442 # e.g., the same source file might be shared among _SOURCES variables
443 # for different programs/libraries.
444 am__define_uniq_tagged_files = \
445 list='$(am__tagged_files)'; \
446 unique=`for i in $$list; do \
447 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
448 done | $(am__uniquify_input)`
449 ETAGS = etags
450 CTAGS = ctags
451 CSCOPE = cscope
452 DEJATOOL = $(PACKAGE)
453 RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
454 EXPECT = expect
455 RUNTEST = runtest
456 am__tty_colors_dummy = \
457 mgn= red= grn= lgn= blu= brg= std=; \
458 am__color_tests=no
459 am__tty_colors = { \
460 $(am__tty_colors_dummy); \
461 if test "X$(AM_COLOR_TESTS)" = Xno; then \
462 am__color_tests=no; \
463 elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
464 am__color_tests=yes; \
465 elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
466 am__color_tests=yes; \
467 fi; \
468 if test $$am__color_tests = yes; then \
469 red='\e[0;31m'; \
470 grn='\e[0;32m'; \
471 lgn='\e[1;32m'; \
472 blu='\e[1;34m'; \
473 mgn='\e[0;35m'; \
474 brg='\e[1m'; \
475 std='\e[m'; \
476 fi; \
477 }
478 am__recheck_rx = ^[ ]*:recheck:[ ]*
479 am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
480 am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
481 # A command that, given a newline-separated list of test names on the
482 # standard input, print the name of the tests that are to be re-run
483 # upon "make recheck".
484 am__list_recheck_tests = $(AWK) '{ \
485 recheck = 1; \
486 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
487 { \
488 if (rc < 0) \
489 { \
490 if ((getline line2 < ($$0 ".log")) < 0) \
491 recheck = 0; \
492 break; \
493 } \
494 else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
495 { \
496 recheck = 0; \
497 break; \
498 } \
499 else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
500 { \
501 break; \
502 } \
503 }; \
504 if (recheck) \
505 print $$0; \
506 close ($$0 ".trs"); \
507 close ($$0 ".log"); \
508 }'
509 # A command that, given a newline-separated list of test names on the
510 # standard input, create the global log from their .trs and .log files.
511 am__create_global_log = $(AWK) ' \
512 function fatal(msg) \
513 { \
514 print "fatal: making $@: " msg | "cat >&2"; \
515 exit 1; \
516 } \
517 function rst_section(header) \
518 { \
519 print header; \
520 len = length(header); \
521 for (i = 1; i <= len; i = i + 1) \
522 printf "="; \
523 printf "\n\n"; \
524 } \
525 { \
526 copy_in_global_log = 1; \
527 global_test_result = "RUN"; \
528 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
529 { \
530 if (rc < 0) \
531 fatal("failed to read from " $$0 ".trs"); \
532 if (line ~ /$(am__global_test_result_rx)/) \
533 { \
534 sub("$(am__global_test_result_rx)", "", line); \
535 sub("[ ]*$$", "", line); \
536 global_test_result = line; \
537 } \
538 else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
539 copy_in_global_log = 0; \
540 }; \
541 if (copy_in_global_log) \
542 { \
543 rst_section(global_test_result ": " $$0); \
544 while ((rc = (getline line < ($$0 ".log"))) != 0) \
545 { \
546 if (rc < 0) \
547 fatal("failed to read from " $$0 ".log"); \
548 print line; \
549 }; \
550 printf "\n"; \
551 }; \
552 close ($$0 ".trs"); \
553 close ($$0 ".log"); \
554 }'
555 # Restructured Text title.
556 am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
557 # Solaris 10 'make', and several other traditional 'make' implementations,
558 # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
559 # by disabling -e (using the XSI extension "set +e") if it's set.
560 am__sh_e_setup = case $$- in *e*) set +e;; esac
561 # Default flags passed to test drivers.
562 am__common_driver_flags = \
563 --color-tests "$$am__color_tests" \
564 --enable-hard-errors "$$am__enable_hard_errors" \
565 --expect-failure "$$am__expect_failure"
566 # To be inserted before the command running the test. Creates the
567 # directory for the log if needed. Stores in $dir the directory
568 # containing $f, in $tst the test, in $log the log. Executes the
569 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
570 # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
571 # will run the test scripts (or their associated LOG_COMPILER, if
572 # thy have one).
573 am__check_pre = \
574 $(am__sh_e_setup); \
575 $(am__vpath_adj_setup) $(am__vpath_adj) \
576 $(am__tty_colors); \
577 srcdir=$(srcdir); export srcdir; \
578 case "$@" in \
579 */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
580 *) am__odir=.;; \
581 esac; \
582 test "x$$am__odir" = x"." || test -d "$$am__odir" \
583 || $(MKDIR_P) "$$am__odir" || exit $$?; \
584 if test -f "./$$f"; then dir=./; \
585 elif test -f "$$f"; then dir=; \
586 else dir="$(srcdir)/"; fi; \
587 tst=$$dir$$f; log='$@'; \
588 if test -n '$(DISABLE_HARD_ERRORS)'; then \
589 am__enable_hard_errors=no; \
590 else \
591 am__enable_hard_errors=yes; \
592 fi; \
593 case " $(XFAIL_TESTS) " in \
594 *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
595 am__expect_failure=yes;; \
596 *) \
597 am__expect_failure=no;; \
598 esac; \
599 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
600 # A shell command to get the names of the tests scripts with any registered
601 # extension removed (i.e., equivalently, the names of the test logs, with
602 # the '.log' extension removed). The result is saved in the shell variable
603 # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
604 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
605 # since that might cause problem with VPATH rewrites for suffix-less tests.
606 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
607 am__set_TESTS_bases = \
608 bases='$(TEST_LOGS)'; \
609 bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
610 bases=`echo $$bases`
611 RECHECK_LOGS = $(TEST_LOGS)
612 TEST_SUITE_LOG = test-suite.log
613 TEST_EXTENSIONS = @EXEEXT@ .test
614 LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
615 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
616 am__set_b = \
617 case '$@' in \
618 */*) \
619 case '$*' in \
620 */*) b='$*';; \
621 *) b=`echo '$@' | sed 's/\.log$$//'`; \
622 esac;; \
623 *) \
624 b='$*';; \
625 esac
626 am__test_logs1 = $(TESTS:=.log)
627 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
628 TEST_LOGS = $(am__test_logs2:.test.log=.log)
629 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
630 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
631 $(TEST_LOG_FLAGS)
632 DIST_SUBDIRS = $(SUBDIRS)
633 ACLOCAL = @ACLOCAL@
634 AMTAR = @AMTAR@
635 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
636 AR = @AR@
637 AR_FOR_BUILD = @AR_FOR_BUILD@
638 AUTOCONF = @AUTOCONF@
639 AUTOHEADER = @AUTOHEADER@
640 AUTOMAKE = @AUTOMAKE@
641 AWK = @AWK@
642 CATALOGS = @CATALOGS@
643 CATOBJEXT = @CATOBJEXT@
644 CC = @CC@
645 CCDEPMODE = @CCDEPMODE@
646 CC_FOR_BUILD = @CC_FOR_BUILD@
647 CFLAGS = @CFLAGS@
648 CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
649 CGEN_MAINT = @CGEN_MAINT@
650 CPP = @CPP@
651 CPPFLAGS = @CPPFLAGS@
652 CYGPATH_W = @CYGPATH_W@
653 C_DIALECT = @C_DIALECT@
654 DATADIRNAME = @DATADIRNAME@
655 DEFS = @DEFS@
656 DEPDIR = @DEPDIR@
657 DSYMUTIL = @DSYMUTIL@
658 DTC = @DTC@
659 DUMPBIN = @DUMPBIN@
660 ECHO_C = @ECHO_C@
661 ECHO_N = @ECHO_N@
662 ECHO_T = @ECHO_T@
663 EGREP = @EGREP@
664 EXEEXT = @EXEEXT@
665 FGREP = @FGREP@
666 GENCAT = @GENCAT@
667 GMSGFMT = @GMSGFMT@
668 GREP = @GREP@
669 INCINTL = @INCINTL@
670 INSTALL = @INSTALL@
671 INSTALL_DATA = @INSTALL_DATA@
672 INSTALL_PROGRAM = @INSTALL_PROGRAM@
673 INSTALL_SCRIPT = @INSTALL_SCRIPT@
674 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
675 INSTOBJEXT = @INSTOBJEXT@
676 LD = @LD@
677 LDFLAGS = @LDFLAGS@
678 LDFLAGS_FOR_BUILD = @LDFLAGS_FOR_BUILD@
679 LIBINTL = @LIBINTL@
680 LIBINTL_DEP = @LIBINTL_DEP@
681 LIBOBJS = @LIBOBJS@
682 LIBS = @LIBS@
683 LIBTOOL = @LIBTOOL@
684 LIPO = @LIPO@
685 LN_S = @LN_S@
686 LTLIBOBJS = @LTLIBOBJS@
687 MAINT = @MAINT@
688 MAKEINFO = @MAKEINFO@
689 MKDIR_P = @MKDIR_P@
690 NM = @NM@
691 NMEDIT = @NMEDIT@
692 OBJDUMP = @OBJDUMP@
693 OBJEXT = @OBJEXT@
694 OTOOL = @OTOOL@
695 OTOOL64 = @OTOOL64@
696 PACKAGE = @PACKAGE@
697 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
698 PACKAGE_NAME = @PACKAGE_NAME@
699 PACKAGE_STRING = @PACKAGE_STRING@
700 PACKAGE_TARNAME = @PACKAGE_TARNAME@
701 PACKAGE_URL = @PACKAGE_URL@
702 PACKAGE_VERSION = @PACKAGE_VERSION@
703 PATH_SEPARATOR = @PATH_SEPARATOR@
704 PKGVERSION = @PKGVERSION@
705 POSUB = @POSUB@
706 RANLIB = @RANLIB@
707 RANLIB_FOR_BUILD = @RANLIB_FOR_BUILD@
708 REPORT_BUGS_TEXI = @REPORT_BUGS_TEXI@
709 REPORT_BUGS_TO = @REPORT_BUGS_TO@
710 SED = @SED@
711 SET_MAKE = @SET_MAKE@
712 SHELL = @SHELL@
713 SIM_COMMON_BUILD_FALSE = @SIM_COMMON_BUILD_FALSE@
714 SIM_COMMON_BUILD_TRUE = @SIM_COMMON_BUILD_TRUE@
715 SIM_INLINE = @SIM_INLINE@
716 SIM_PRIMARY_TARGET = @SIM_PRIMARY_TARGET@
717 SIM_SUBDIRS = @SIM_SUBDIRS@
718 STRIP = @STRIP@
719 USE_NLS = @USE_NLS@
720 VERSION = @VERSION@
721 WARN_CFLAGS = @WARN_CFLAGS@
722 WERROR_CFLAGS = @WERROR_CFLAGS@
723 XGETTEXT = @XGETTEXT@
724 abs_builddir = @abs_builddir@
725 abs_srcdir = @abs_srcdir@
726 abs_top_builddir = @abs_top_builddir@
727 abs_top_srcdir = @abs_top_srcdir@
728 ac_ct_CC = @ac_ct_CC@
729 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
730 am__include = @am__include@
731 am__leading_dot = @am__leading_dot@
732 am__quote = @am__quote@
733 am__tar = @am__tar@
734 am__untar = @am__untar@
735 bindir = @bindir@
736 build = @build@
737 build_alias = @build_alias@
738 build_cpu = @build_cpu@
739 build_os = @build_os@
740 build_vendor = @build_vendor@
741 builddir = @builddir@
742 cgen = @cgen@
743 cgendir = @cgendir@
744 datadir = @datadir@
745 datarootdir = @datarootdir@
746 docdir = @docdir@
747 dvidir = @dvidir@
748 exec_prefix = @exec_prefix@
749 host = @host@
750 host_alias = @host_alias@
751 host_cpu = @host_cpu@
752 host_os = @host_os@
753 host_vendor = @host_vendor@
754 htmldir = @htmldir@
755 includedir = @includedir@
756 infodir = @infodir@
757 install_sh = @install_sh@
758 libdir = @libdir@
759 libexecdir = @libexecdir@
760 localedir = @localedir@
761 localstatedir = @localstatedir@
762 lt_cv_dlopen_libs = @lt_cv_dlopen_libs@
763 mandir = @mandir@
764 mkdir_p = @mkdir_p@
765 oldincludedir = @oldincludedir@
766 pdfdir = @pdfdir@
767 prefix = @prefix@
768 program_transform_name = @program_transform_name@
769 psdir = @psdir@
770 sbindir = @sbindir@
771 sharedstatedir = @sharedstatedir@
772 sim_bitsize = @sim_bitsize@
773 sim_default_model = @sim_default_model@
774 sim_float = @sim_float@
775 sim_hw_cflags = @sim_hw_cflags@
776 sim_hw_sockser = @sim_hw_sockser@
777 sim_reserved_bits = @sim_reserved_bits@
778 sim_scache = @sim_scache@
779 srcdir = @srcdir@
780 subdirs = @subdirs@
781 sysconfdir = @sysconfdir@
782 target = @target@
783 target_alias = @target_alias@
784 target_cpu = @target_cpu@
785 target_os = @target_os@
786 target_vendor = @target_vendor@
787 top_build_prefix = @top_build_prefix@
788 top_builddir = @top_builddir@
789 top_srcdir = @top_srcdir@
790 zlibdir = @zlibdir@
791 zlibinc = @zlibinc@
792 AUTOMAKE_OPTIONS = dejagnu foreign no-dist subdir-objects
793 ACLOCAL_AMFLAGS = -Im4 -I.. -I../config
794 srcroot = $(srcdir)/..
795 SUBDIRS = @subdirs@ $(SIM_SUBDIRS)
796 AM_MAKEFLAGS = SIM_PRIMARY_TARGET=$(SIM_PRIMARY_TARGET)
797
798 # NB: libcommon.a isn't used directly by ports. We need a target for common
799 # objects to be a part of, and ports use the individual objects directly.
800 noinst_LIBRARIES = common/libcommon.a $(am__append_2)
801 CLEANFILES = common/version.c common/version.c-stamp \
802 testsuite/common/bits-gen testsuite/common/bits32m0.c \
803 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
804 testsuite/common/bits64m63.c
805 DISTCLEANFILES =
806 MOSTLYCLEANFILES = core $(am__append_4) site-srcdir.exp testrun.log \
807 testrun.sum
808 AM_CFLAGS = $(WERROR_CFLAGS) $(WARN_CFLAGS)
809 AM_CPPFLAGS = -I$(srcroot)/include $(SIM_INLINE) -I$(srcdir)/common
810 COMPILE_FOR_BUILD = $(CC_FOR_BUILD) $(AM_CPPFLAGS) $(CFLAGS_FOR_BUILD)
811 LINK_FOR_BUILD = $(CC_FOR_BUILD) $(CFLAGS_FOR_BUILD) $(LDFLAGS_FOR_BUILD) -o $@
812
813 # Deps to add to the all-recursive target. These are built before descending
814 # into any subdirs.
815
816 # This makes sure common parts are available before building the arch-subdirs
817 # which will refer to these.
818 SIM_ALL_RECURSIVE_DEPS = common/libcommon.a $(am__append_1)
819 pkginclude_HEADERS = \
820 $(srcroot)/include/sim/callback.h \
821 $(srcroot)/include/sim/sim.h
822
823 common_libcommon_a_CPPFLAGS = \
824 $(AM_CPPFLAGS) \
825 -DSIM_COMMON_BUILD \
826 -I../bfd \
827 -I..
828
829 common_libcommon_a_SOURCES = \
830 common/portability.c \
831 common/sim-load.c \
832 common/version.c
833
834 @SIM_ENABLE_IGEN_TRUE@igen_libigen_a_SOURCES = \
835 @SIM_ENABLE_IGEN_TRUE@ igen/table.c \
836 @SIM_ENABLE_IGEN_TRUE@ igen/lf.c \
837 @SIM_ENABLE_IGEN_TRUE@ igen/misc.c \
838 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.c \
839 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.c \
840 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.c \
841 @SIM_ENABLE_IGEN_TRUE@ igen/filter.c \
842 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.c \
843 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.c \
844 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.c \
845 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.c \
846 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.c \
847 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.c \
848 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.c \
849 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.c \
850 @SIM_ENABLE_IGEN_TRUE@ igen/gen.c
851
852 @SIM_ENABLE_IGEN_TRUE@igen_igen_SOURCES = igen/igen.c
853 @SIM_ENABLE_IGEN_TRUE@igen_igen_LDADD = igen/libigen.a
854 @SIM_ENABLE_IGEN_TRUE@igen_filter_SOURCES =
855 @SIM_ENABLE_IGEN_TRUE@igen_filter_LDADD = igen/filter-main.o igen/libigen.a
856 @SIM_ENABLE_IGEN_TRUE@igen_gen_SOURCES =
857 @SIM_ENABLE_IGEN_TRUE@igen_gen_LDADD = igen/gen-main.o igen/libigen.a
858 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_SOURCES =
859 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_LDADD = igen/ld-cache-main.o igen/libigen.a
860 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_SOURCES =
861 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_LDADD = igen/ld-decode-main.o igen/libigen.a
862 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_SOURCES =
863 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_LDADD = igen/ld-insn-main.o igen/libigen.a
864 @SIM_ENABLE_IGEN_TRUE@igen_table_SOURCES =
865 @SIM_ENABLE_IGEN_TRUE@igen_table_LDADD = igen/table-main.o igen/libigen.a
866 @SIM_ENABLE_IGEN_TRUE@igen_IGEN_TOOLS = \
867 @SIM_ENABLE_IGEN_TRUE@ igen/igen \
868 @SIM_ENABLE_IGEN_TRUE@ igen/filter \
869 @SIM_ENABLE_IGEN_TRUE@ igen/gen \
870 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache \
871 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode \
872 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn \
873 @SIM_ENABLE_IGEN_TRUE@ igen/table
874
875
876 # Tweak the site.exp so it works with plain `runtest` from user.
877 EXTRA_DEJAGNU_SITE_CONFIG = site-srcdir.exp
878 testsuite_common_CPPFLAGS = \
879 -I$(srcdir)/common \
880 -I$(srcroot)/include \
881 -I../bfd
882
883 all: config.h
884 $(MAKE) $(AM_MAKEFLAGS) all-recursive
885
886 .SUFFIXES:
887 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
888 am--refresh: Makefile
889 @:
890 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__configure_deps)
891 @for dep in $?; do \
892 case '$(am__configure_deps)' in \
893 *$$dep*) \
894 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
895 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
896 && exit 0; \
897 exit 1;; \
898 esac; \
899 done; \
900 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
901 $(am__cd) $(top_srcdir) && \
902 $(AUTOMAKE) --foreign Makefile
903 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
904 @case '$?' in \
905 *config.status*) \
906 echo ' $(SHELL) ./config.status'; \
907 $(SHELL) ./config.status;; \
908 *) \
909 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
910 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
911 esac;
912 $(srcdir)/common/local.mk $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__empty):
913
914 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
915 $(SHELL) ./config.status --recheck
916
917 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
918 $(am__cd) $(srcdir) && $(AUTOCONF)
919 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
920 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
921 $(am__aclocal_m4_deps):
922
923 config.h: stamp-h1
924 @test -f $@ || rm -f stamp-h1
925 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
926
927 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
928 @rm -f stamp-h1
929 cd $(top_builddir) && $(SHELL) ./config.status config.h
930 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
931 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
932 rm -f stamp-h1
933 touch $@
934
935 distclean-hdr:
936 -rm -f config.h stamp-h1
937 Make-common.sim: $(top_builddir)/config.status $(top_srcdir)/common/Make-common.in
938 cd $(top_builddir) && $(SHELL) ./config.status $@
939 aarch64/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/aarch64/Makefile.in
940 cd $(top_builddir) && $(SHELL) ./config.status $@
941 arm/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/arm/Makefile.in
942 cd $(top_builddir) && $(SHELL) ./config.status $@
943 avr/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/avr/Makefile.in
944 cd $(top_builddir) && $(SHELL) ./config.status $@
945 cr16/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/cr16/Makefile.in
946 cd $(top_builddir) && $(SHELL) ./config.status $@
947 d10v/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/d10v/Makefile.in
948 cd $(top_builddir) && $(SHELL) ./config.status $@
949 ft32/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/ft32/Makefile.in
950 cd $(top_builddir) && $(SHELL) ./config.status $@
951 h8300/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/h8300/Makefile.in
952 cd $(top_builddir) && $(SHELL) ./config.status $@
953 m32c/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/m32c/Makefile.in
954 cd $(top_builddir) && $(SHELL) ./config.status $@
955 m68hc11/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/m68hc11/Makefile.in
956 cd $(top_builddir) && $(SHELL) ./config.status $@
957 mcore/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/mcore/Makefile.in
958 cd $(top_builddir) && $(SHELL) ./config.status $@
959 microblaze/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/microblaze/Makefile.in
960 cd $(top_builddir) && $(SHELL) ./config.status $@
961 moxie/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/moxie/Makefile.in
962 cd $(top_builddir) && $(SHELL) ./config.status $@
963 msp430/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/msp430/Makefile.in
964 cd $(top_builddir) && $(SHELL) ./config.status $@
965 pru/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/pru/Makefile.in
966 cd $(top_builddir) && $(SHELL) ./config.status $@
967 rl78/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/rl78/Makefile.in
968 cd $(top_builddir) && $(SHELL) ./config.status $@
969 sh/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/sh/Makefile.in
970 cd $(top_builddir) && $(SHELL) ./config.status $@
971 example-synacor/Makefile.sim: $(top_builddir)/config.status $(top_srcdir)/example-synacor/Makefile.in
972 cd $(top_builddir) && $(SHELL) ./config.status $@
973 arch-subdir.mk: $(top_builddir)/config.status $(srcdir)/arch-subdir.mk.in
974 cd $(top_builddir) && $(SHELL) ./config.status $@
975
976 clean-noinstLIBRARIES:
977 -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
978 common/$(am__dirstamp):
979 @$(MKDIR_P) common
980 @: > common/$(am__dirstamp)
981 common/$(DEPDIR)/$(am__dirstamp):
982 @$(MKDIR_P) common/$(DEPDIR)
983 @: > common/$(DEPDIR)/$(am__dirstamp)
984 common/common_libcommon_a-portability.$(OBJEXT): \
985 common/$(am__dirstamp) common/$(DEPDIR)/$(am__dirstamp)
986 common/common_libcommon_a-sim-load.$(OBJEXT): common/$(am__dirstamp) \
987 common/$(DEPDIR)/$(am__dirstamp)
988 common/common_libcommon_a-version.$(OBJEXT): common/$(am__dirstamp) \
989 common/$(DEPDIR)/$(am__dirstamp)
990
991 common/libcommon.a: $(common_libcommon_a_OBJECTS) $(common_libcommon_a_DEPENDENCIES) $(EXTRA_common_libcommon_a_DEPENDENCIES) common/$(am__dirstamp)
992 $(AM_V_at)-rm -f common/libcommon.a
993 $(AM_V_AR)$(common_libcommon_a_AR) common/libcommon.a $(common_libcommon_a_OBJECTS) $(common_libcommon_a_LIBADD)
994 $(AM_V_at)$(RANLIB) common/libcommon.a
995 igen/$(am__dirstamp):
996 @$(MKDIR_P) igen
997 @: > igen/$(am__dirstamp)
998 igen/$(DEPDIR)/$(am__dirstamp):
999 @$(MKDIR_P) igen/$(DEPDIR)
1000 @: > igen/$(DEPDIR)/$(am__dirstamp)
1001 igen/table.$(OBJEXT): igen/$(am__dirstamp) \
1002 igen/$(DEPDIR)/$(am__dirstamp)
1003 igen/lf.$(OBJEXT): igen/$(am__dirstamp) igen/$(DEPDIR)/$(am__dirstamp)
1004 igen/misc.$(OBJEXT): igen/$(am__dirstamp) \
1005 igen/$(DEPDIR)/$(am__dirstamp)
1006 igen/filter_host.$(OBJEXT): igen/$(am__dirstamp) \
1007 igen/$(DEPDIR)/$(am__dirstamp)
1008 igen/ld-decode.$(OBJEXT): igen/$(am__dirstamp) \
1009 igen/$(DEPDIR)/$(am__dirstamp)
1010 igen/ld-cache.$(OBJEXT): igen/$(am__dirstamp) \
1011 igen/$(DEPDIR)/$(am__dirstamp)
1012 igen/filter.$(OBJEXT): igen/$(am__dirstamp) \
1013 igen/$(DEPDIR)/$(am__dirstamp)
1014 igen/ld-insn.$(OBJEXT): igen/$(am__dirstamp) \
1015 igen/$(DEPDIR)/$(am__dirstamp)
1016 igen/gen-model.$(OBJEXT): igen/$(am__dirstamp) \
1017 igen/$(DEPDIR)/$(am__dirstamp)
1018 igen/gen-itable.$(OBJEXT): igen/$(am__dirstamp) \
1019 igen/$(DEPDIR)/$(am__dirstamp)
1020 igen/gen-icache.$(OBJEXT): igen/$(am__dirstamp) \
1021 igen/$(DEPDIR)/$(am__dirstamp)
1022 igen/gen-semantics.$(OBJEXT): igen/$(am__dirstamp) \
1023 igen/$(DEPDIR)/$(am__dirstamp)
1024 igen/gen-idecode.$(OBJEXT): igen/$(am__dirstamp) \
1025 igen/$(DEPDIR)/$(am__dirstamp)
1026 igen/gen-support.$(OBJEXT): igen/$(am__dirstamp) \
1027 igen/$(DEPDIR)/$(am__dirstamp)
1028 igen/gen-engine.$(OBJEXT): igen/$(am__dirstamp) \
1029 igen/$(DEPDIR)/$(am__dirstamp)
1030 igen/gen.$(OBJEXT): igen/$(am__dirstamp) \
1031 igen/$(DEPDIR)/$(am__dirstamp)
1032
1033 @SIM_ENABLE_IGEN_FALSE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
1034 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)-rm -f igen/libigen.a
1035 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_AR)$(igen_libigen_a_AR) igen/libigen.a $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
1036 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)$(RANLIB) igen/libigen.a
1037
1038 clean-checkPROGRAMS:
1039 @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
1040 echo " rm -f" $$list; \
1041 rm -f $$list || exit $$?; \
1042 test -n "$(EXEEXT)" || exit 0; \
1043 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
1044 echo " rm -f" $$list; \
1045 rm -f $$list
1046
1047 igen/filter$(EXEEXT): $(igen_filter_OBJECTS) $(igen_filter_DEPENDENCIES) $(EXTRA_igen_filter_DEPENDENCIES) igen/$(am__dirstamp)
1048 @rm -f igen/filter$(EXEEXT)
1049 $(AM_V_CCLD)$(LINK) $(igen_filter_OBJECTS) $(igen_filter_LDADD) $(LIBS)
1050
1051 igen/gen$(EXEEXT): $(igen_gen_OBJECTS) $(igen_gen_DEPENDENCIES) $(EXTRA_igen_gen_DEPENDENCIES) igen/$(am__dirstamp)
1052 @rm -f igen/gen$(EXEEXT)
1053 $(AM_V_CCLD)$(LINK) $(igen_gen_OBJECTS) $(igen_gen_LDADD) $(LIBS)
1054 igen/igen.$(OBJEXT): igen/$(am__dirstamp) \
1055 igen/$(DEPDIR)/$(am__dirstamp)
1056
1057 @SIM_ENABLE_IGEN_FALSE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) $(EXTRA_igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
1058 @SIM_ENABLE_IGEN_FALSE@ @rm -f igen/igen$(EXEEXT)
1059 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_CCLD)$(LINK) $(igen_igen_OBJECTS) $(igen_igen_LDADD) $(LIBS)
1060
1061 igen/ld-cache$(EXEEXT): $(igen_ld_cache_OBJECTS) $(igen_ld_cache_DEPENDENCIES) $(EXTRA_igen_ld_cache_DEPENDENCIES) igen/$(am__dirstamp)
1062 @rm -f igen/ld-cache$(EXEEXT)
1063 $(AM_V_CCLD)$(LINK) $(igen_ld_cache_OBJECTS) $(igen_ld_cache_LDADD) $(LIBS)
1064
1065 igen/ld-decode$(EXEEXT): $(igen_ld_decode_OBJECTS) $(igen_ld_decode_DEPENDENCIES) $(EXTRA_igen_ld_decode_DEPENDENCIES) igen/$(am__dirstamp)
1066 @rm -f igen/ld-decode$(EXEEXT)
1067 $(AM_V_CCLD)$(LINK) $(igen_ld_decode_OBJECTS) $(igen_ld_decode_LDADD) $(LIBS)
1068
1069 igen/ld-insn$(EXEEXT): $(igen_ld_insn_OBJECTS) $(igen_ld_insn_DEPENDENCIES) $(EXTRA_igen_ld_insn_DEPENDENCIES) igen/$(am__dirstamp)
1070 @rm -f igen/ld-insn$(EXEEXT)
1071 $(AM_V_CCLD)$(LINK) $(igen_ld_insn_OBJECTS) $(igen_ld_insn_LDADD) $(LIBS)
1072
1073 igen/table$(EXEEXT): $(igen_table_OBJECTS) $(igen_table_DEPENDENCIES) $(EXTRA_igen_table_DEPENDENCIES) igen/$(am__dirstamp)
1074 @rm -f igen/table$(EXEEXT)
1075 $(AM_V_CCLD)$(LINK) $(igen_table_OBJECTS) $(igen_table_LDADD) $(LIBS)
1076 testsuite/common/$(am__dirstamp):
1077 @$(MKDIR_P) testsuite/common
1078 @: > testsuite/common/$(am__dirstamp)
1079 testsuite/common/$(DEPDIR)/$(am__dirstamp):
1080 @$(MKDIR_P) testsuite/common/$(DEPDIR)
1081 @: > testsuite/common/$(DEPDIR)/$(am__dirstamp)
1082 testsuite/common/alu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1083 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1084 testsuite/common/bits-gen.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1085 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1086 testsuite/common/bits32m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1087 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1088 testsuite/common/bits32m31.$(OBJEXT): \
1089 testsuite/common/$(am__dirstamp) \
1090 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1091 testsuite/common/bits64m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1092 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1093 testsuite/common/bits64m63.$(OBJEXT): \
1094 testsuite/common/$(am__dirstamp) \
1095 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1096 testsuite/common/fpu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
1097 testsuite/common/$(DEPDIR)/$(am__dirstamp)
1098
1099 mostlyclean-compile:
1100 -rm -f *.$(OBJEXT)
1101 -rm -f common/*.$(OBJEXT)
1102 -rm -f igen/*.$(OBJEXT)
1103 -rm -f testsuite/common/*.$(OBJEXT)
1104
1105 distclean-compile:
1106 -rm -f *.tab.c
1107
1108 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-portability.Po@am__quote@
1109 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-sim-load.Po@am__quote@
1110 @AMDEP_TRUE@@am__include@ @am__quote@common/$(DEPDIR)/common_libcommon_a-version.Po@am__quote@
1111 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter.Po@am__quote@
1112 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter_host.Po@am__quote@
1113 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-engine.Po@am__quote@
1114 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-icache.Po@am__quote@
1115 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-idecode.Po@am__quote@
1116 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-itable.Po@am__quote@
1117 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-model.Po@am__quote@
1118 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-semantics.Po@am__quote@
1119 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-support.Po@am__quote@
1120 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen.Po@am__quote@
1121 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/igen.Po@am__quote@
1122 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-cache.Po@am__quote@
1123 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-decode.Po@am__quote@
1124 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-insn.Po@am__quote@
1125 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/lf.Po@am__quote@
1126 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/misc.Po@am__quote@
1127 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/table.Po@am__quote@
1128 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/alu-tst.Po@am__quote@
1129 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits-gen.Po@am__quote@
1130 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m0.Po@am__quote@
1131 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m31.Po@am__quote@
1132 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m0.Po@am__quote@
1133 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m63.Po@am__quote@
1134 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/fpu-tst.Po@am__quote@
1135
1136 .c.o:
1137 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1138 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1139 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1140 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1141 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1142 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1143
1144 .c.obj:
1145 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1146 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1147 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1148 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1149 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1150 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1151
1152 .c.lo:
1153 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1154 @am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1155 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Plo
1156 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1157 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1158 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1159
1160 common/common_libcommon_a-portability.o: common/portability.c
1161 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-portability.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-portability.Tpo -c -o common/common_libcommon_a-portability.o `test -f 'common/portability.c' || echo '$(srcdir)/'`common/portability.c
1162 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-portability.Tpo common/$(DEPDIR)/common_libcommon_a-portability.Po
1163 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/portability.c' object='common/common_libcommon_a-portability.o' libtool=no @AMDEPBACKSLASH@
1164 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1165 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-portability.o `test -f 'common/portability.c' || echo '$(srcdir)/'`common/portability.c
1166
1167 common/common_libcommon_a-portability.obj: common/portability.c
1168 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-portability.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-portability.Tpo -c -o common/common_libcommon_a-portability.obj `if test -f 'common/portability.c'; then $(CYGPATH_W) 'common/portability.c'; else $(CYGPATH_W) '$(srcdir)/common/portability.c'; fi`
1169 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-portability.Tpo common/$(DEPDIR)/common_libcommon_a-portability.Po
1170 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/portability.c' object='common/common_libcommon_a-portability.obj' libtool=no @AMDEPBACKSLASH@
1171 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1172 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-portability.obj `if test -f 'common/portability.c'; then $(CYGPATH_W) 'common/portability.c'; else $(CYGPATH_W) '$(srcdir)/common/portability.c'; fi`
1173
1174 common/common_libcommon_a-sim-load.o: common/sim-load.c
1175 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-sim-load.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo -c -o common/common_libcommon_a-sim-load.o `test -f 'common/sim-load.c' || echo '$(srcdir)/'`common/sim-load.c
1176 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo common/$(DEPDIR)/common_libcommon_a-sim-load.Po
1177 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/sim-load.c' object='common/common_libcommon_a-sim-load.o' libtool=no @AMDEPBACKSLASH@
1178 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1179 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-sim-load.o `test -f 'common/sim-load.c' || echo '$(srcdir)/'`common/sim-load.c
1180
1181 common/common_libcommon_a-sim-load.obj: common/sim-load.c
1182 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-sim-load.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo -c -o common/common_libcommon_a-sim-load.obj `if test -f 'common/sim-load.c'; then $(CYGPATH_W) 'common/sim-load.c'; else $(CYGPATH_W) '$(srcdir)/common/sim-load.c'; fi`
1183 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-sim-load.Tpo common/$(DEPDIR)/common_libcommon_a-sim-load.Po
1184 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/sim-load.c' object='common/common_libcommon_a-sim-load.obj' libtool=no @AMDEPBACKSLASH@
1185 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1186 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-sim-load.obj `if test -f 'common/sim-load.c'; then $(CYGPATH_W) 'common/sim-load.c'; else $(CYGPATH_W) '$(srcdir)/common/sim-load.c'; fi`
1187
1188 common/common_libcommon_a-version.o: common/version.c
1189 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-version.o -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-version.Tpo -c -o common/common_libcommon_a-version.o `test -f 'common/version.c' || echo '$(srcdir)/'`common/version.c
1190 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-version.Tpo common/$(DEPDIR)/common_libcommon_a-version.Po
1191 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/version.c' object='common/common_libcommon_a-version.o' libtool=no @AMDEPBACKSLASH@
1192 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1193 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-version.o `test -f 'common/version.c' || echo '$(srcdir)/'`common/version.c
1194
1195 common/common_libcommon_a-version.obj: common/version.c
1196 @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT common/common_libcommon_a-version.obj -MD -MP -MF common/$(DEPDIR)/common_libcommon_a-version.Tpo -c -o common/common_libcommon_a-version.obj `if test -f 'common/version.c'; then $(CYGPATH_W) 'common/version.c'; else $(CYGPATH_W) '$(srcdir)/common/version.c'; fi`
1197 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) common/$(DEPDIR)/common_libcommon_a-version.Tpo common/$(DEPDIR)/common_libcommon_a-version.Po
1198 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='common/version.c' object='common/common_libcommon_a-version.obj' libtool=no @AMDEPBACKSLASH@
1199 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1200 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(common_libcommon_a_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o common/common_libcommon_a-version.obj `if test -f 'common/version.c'; then $(CYGPATH_W) 'common/version.c'; else $(CYGPATH_W) '$(srcdir)/common/version.c'; fi`
1201
1202 mostlyclean-libtool:
1203 -rm -f *.lo
1204
1205 clean-libtool:
1206 -rm -rf .libs _libs
1207 -rm -rf igen/.libs igen/_libs
1208 -rm -rf testsuite/common/.libs testsuite/common/_libs
1209
1210 distclean-libtool:
1211 -rm -f libtool config.lt
1212 install-pkgincludeHEADERS: $(pkginclude_HEADERS)
1213 @$(NORMAL_INSTALL)
1214 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1215 if test -n "$$list"; then \
1216 echo " $(MKDIR_P) '$(DESTDIR)$(pkgincludedir)'"; \
1217 $(MKDIR_P) "$(DESTDIR)$(pkgincludedir)" || exit 1; \
1218 fi; \
1219 for p in $$list; do \
1220 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1221 echo "$$d$$p"; \
1222 done | $(am__base_list) | \
1223 while read files; do \
1224 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(pkgincludedir)'"; \
1225 $(INSTALL_HEADER) $$files "$(DESTDIR)$(pkgincludedir)" || exit $$?; \
1226 done
1227
1228 uninstall-pkgincludeHEADERS:
1229 @$(NORMAL_UNINSTALL)
1230 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
1231 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1232 dir='$(DESTDIR)$(pkgincludedir)'; $(am__uninstall_files_from_dir)
1233
1234 # This directory's subdirectories are mostly independent; you can cd
1235 # into them and run 'make' without going through this Makefile.
1236 # To change the values of 'make' variables: instead of editing Makefiles,
1237 # (1) if the variable is set in 'config.status', edit 'config.status'
1238 # (which will cause the Makefiles to be regenerated when you run 'make');
1239 # (2) otherwise, pass the desired values on the 'make' command line.
1240 $(am__recursive_targets):
1241 @fail=; \
1242 if $(am__make_keepgoing); then \
1243 failcom='fail=yes'; \
1244 else \
1245 failcom='exit 1'; \
1246 fi; \
1247 dot_seen=no; \
1248 target=`echo $@ | sed s/-recursive//`; \
1249 case "$@" in \
1250 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1251 *) list='$(SUBDIRS)' ;; \
1252 esac; \
1253 for subdir in $$list; do \
1254 echo "Making $$target in $$subdir"; \
1255 if test "$$subdir" = "."; then \
1256 dot_seen=yes; \
1257 local_target="$$target-am"; \
1258 else \
1259 local_target="$$target"; \
1260 fi; \
1261 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1262 || eval $$failcom; \
1263 done; \
1264 if test "$$dot_seen" = "no"; then \
1265 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1266 fi; test -z "$$fail"
1267
1268 ID: $(am__tagged_files)
1269 $(am__define_uniq_tagged_files); mkid -fID $$unique
1270 tags: tags-recursive
1271 TAGS: tags
1272
1273 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1274 set x; \
1275 here=`pwd`; \
1276 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1277 include_option=--etags-include; \
1278 empty_fix=.; \
1279 else \
1280 include_option=--include; \
1281 empty_fix=; \
1282 fi; \
1283 list='$(SUBDIRS)'; for subdir in $$list; do \
1284 if test "$$subdir" = .; then :; else \
1285 test ! -f $$subdir/TAGS || \
1286 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1287 fi; \
1288 done; \
1289 $(am__define_uniq_tagged_files); \
1290 shift; \
1291 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1292 test -n "$$unique" || unique=$$empty_fix; \
1293 if test $$# -gt 0; then \
1294 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1295 "$$@" $$unique; \
1296 else \
1297 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1298 $$unique; \
1299 fi; \
1300 fi
1301 ctags: ctags-recursive
1302
1303 CTAGS: ctags
1304 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1305 $(am__define_uniq_tagged_files); \
1306 test -z "$(CTAGS_ARGS)$$unique" \
1307 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1308 $$unique
1309
1310 GTAGS:
1311 here=`$(am__cd) $(top_builddir) && pwd` \
1312 && $(am__cd) $(top_srcdir) \
1313 && gtags -i $(GTAGS_ARGS) "$$here"
1314 cscope: cscope.files
1315 test ! -s cscope.files \
1316 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
1317 clean-cscope:
1318 -rm -f cscope.files
1319 cscope.files: clean-cscope cscopelist
1320 cscopelist: cscopelist-recursive
1321
1322 cscopelist-am: $(am__tagged_files)
1323 list='$(am__tagged_files)'; \
1324 case "$(srcdir)" in \
1325 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1326 *) sdir=$(subdir)/$(srcdir) ;; \
1327 esac; \
1328 for i in $$list; do \
1329 if test -f "$$i"; then \
1330 echo "$(subdir)/$$i"; \
1331 else \
1332 echo "$$sdir/$$i"; \
1333 fi; \
1334 done >> $(top_builddir)/cscope.files
1335
1336 distclean-tags:
1337 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1338 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
1339 site.exp: Makefile $(EXTRA_DEJAGNU_SITE_CONFIG)
1340 @echo 'Making a new site.exp file ...'
1341 @echo '## these variables are automatically generated by make ##' >site.tmp
1342 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
1343 @echo '# edit the last section' >>site.tmp
1344 @echo 'set srcdir "$(srcdir)"' >>site.tmp
1345 @echo "set objdir `pwd`" >>site.tmp
1346 @echo 'set build_alias "$(build_alias)"' >>site.tmp
1347 @echo 'set build_triplet $(build_triplet)' >>site.tmp
1348 @echo 'set host_alias "$(host_alias)"' >>site.tmp
1349 @echo 'set host_triplet $(host_triplet)' >>site.tmp
1350 @echo 'set target_alias "$(target_alias)"' >>site.tmp
1351 @echo 'set target_triplet $(target_triplet)' >>site.tmp
1352 @list='$(EXTRA_DEJAGNU_SITE_CONFIG)'; for f in $$list; do \
1353 echo "## Begin content included from file $$f. Do not modify. ##" \
1354 && cat `test -f "$$f" || echo '$(srcdir)/'`$$f \
1355 && echo "## End content included from file $$f. ##" \
1356 || exit 1; \
1357 done >> site.tmp
1358 @echo "## End of auto-generated content; you can edit from here. ##" >> site.tmp
1359 @if test -f site.exp; then \
1360 sed -e '1,/^## End of auto-generated content.*##/d' site.exp >> site.tmp; \
1361 fi
1362 @-rm -f site.bak
1363 @test ! -f site.exp || mv site.exp site.bak
1364 @mv site.tmp site.exp
1365
1366 distclean-DEJAGNU:
1367 -rm -f site.exp site.bak
1368 -l='$(DEJATOOL)'; for tool in $$l; do \
1369 rm -f $$tool.sum $$tool.log; \
1370 done
1371
1372 # Recover from deleted '.trs' file; this should ensure that
1373 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1374 # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
1375 # to avoid problems with "make -n".
1376 .log.trs:
1377 rm -f $< $@
1378 $(MAKE) $(AM_MAKEFLAGS) $<
1379
1380 # Leading 'am--fnord' is there to ensure the list of targets does not
1381 # expand to empty, as could happen e.g. with make check TESTS=''.
1382 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1383 am--force-recheck:
1384 @:
1385
1386 $(TEST_SUITE_LOG): $(TEST_LOGS)
1387 @$(am__set_TESTS_bases); \
1388 am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1389 redo_bases=`for i in $$bases; do \
1390 am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1391 done`; \
1392 if test -n "$$redo_bases"; then \
1393 redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1394 redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1395 if $(am__make_dryrun); then :; else \
1396 rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1397 fi; \
1398 fi; \
1399 if test -n "$$am__remaking_logs"; then \
1400 echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1401 "recursion detected" >&2; \
1402 elif test -n "$$redo_logs"; then \
1403 am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1404 fi; \
1405 if $(am__make_dryrun); then :; else \
1406 st=0; \
1407 errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1408 for i in $$redo_bases; do \
1409 test -f $$i.trs && test -r $$i.trs \
1410 || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1411 test -f $$i.log && test -r $$i.log \
1412 || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1413 done; \
1414 test $$st -eq 0 || exit 1; \
1415 fi
1416 @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1417 ws='[ ]'; \
1418 results=`for b in $$bases; do echo $$b.trs; done`; \
1419 test -n "$$results" || results=/dev/null; \
1420 all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
1421 pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
1422 fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
1423 skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
1424 xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1425 xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1426 error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1427 if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1428 success=true; \
1429 else \
1430 success=false; \
1431 fi; \
1432 br='==================='; br=$$br$$br$$br$$br; \
1433 result_count () \
1434 { \
1435 if test x"$$1" = x"--maybe-color"; then \
1436 maybe_colorize=yes; \
1437 elif test x"$$1" = x"--no-color"; then \
1438 maybe_colorize=no; \
1439 else \
1440 echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1441 fi; \
1442 shift; \
1443 desc=$$1 count=$$2; \
1444 if test $$maybe_colorize = yes && test $$count -gt 0; then \
1445 color_start=$$3 color_end=$$std; \
1446 else \
1447 color_start= color_end=; \
1448 fi; \
1449 echo "$${color_start}# $$desc $$count$${color_end}"; \
1450 }; \
1451 create_testsuite_report () \
1452 { \
1453 result_count $$1 "TOTAL:" $$all "$$brg"; \
1454 result_count $$1 "PASS: " $$pass "$$grn"; \
1455 result_count $$1 "SKIP: " $$skip "$$blu"; \
1456 result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1457 result_count $$1 "FAIL: " $$fail "$$red"; \
1458 result_count $$1 "XPASS:" $$xpass "$$red"; \
1459 result_count $$1 "ERROR:" $$error "$$mgn"; \
1460 }; \
1461 { \
1462 echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
1463 $(am__rst_title); \
1464 create_testsuite_report --no-color; \
1465 echo; \
1466 echo ".. contents:: :depth: 2"; \
1467 echo; \
1468 for b in $$bases; do echo $$b; done \
1469 | $(am__create_global_log); \
1470 } >$(TEST_SUITE_LOG).tmp || exit 1; \
1471 mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
1472 if $$success; then \
1473 col="$$grn"; \
1474 else \
1475 col="$$red"; \
1476 test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
1477 fi; \
1478 echo "$${col}$$br$${std}"; \
1479 echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
1480 echo "$${col}$$br$${std}"; \
1481 create_testsuite_report --maybe-color; \
1482 echo "$$col$$br$$std"; \
1483 if $$success; then :; else \
1484 echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
1485 if test -n "$(PACKAGE_BUGREPORT)"; then \
1486 echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1487 fi; \
1488 echo "$$col$$br$$std"; \
1489 fi; \
1490 $$success || exit 1
1491
1492 check-TESTS:
1493 @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
1494 @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1495 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1496 @set +e; $(am__set_TESTS_bases); \
1497 log_list=`for i in $$bases; do echo $$i.log; done`; \
1498 trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1499 log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1500 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1501 exit $$?;
1502 recheck: all $(check_PROGRAMS)
1503 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1504 @set +e; $(am__set_TESTS_bases); \
1505 bases=`for i in $$bases; do echo $$i; done \
1506 | $(am__list_recheck_tests)` || exit 1; \
1507 log_list=`for i in $$bases; do echo $$i.log; done`; \
1508 log_list=`echo $$log_list`; \
1509 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1510 am__force_recheck=am--force-recheck \
1511 TEST_LOGS="$$log_list"; \
1512 exit $$?
1513 testsuite/common/bits32m0.log: testsuite/common/bits32m0$(EXEEXT)
1514 @p='testsuite/common/bits32m0$(EXEEXT)'; \
1515 b='testsuite/common/bits32m0'; \
1516 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1517 --log-file $$b.log --trs-file $$b.trs \
1518 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1519 "$$tst" $(AM_TESTS_FD_REDIRECT)
1520 testsuite/common/bits32m31.log: testsuite/common/bits32m31$(EXEEXT)
1521 @p='testsuite/common/bits32m31$(EXEEXT)'; \
1522 b='testsuite/common/bits32m31'; \
1523 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1524 --log-file $$b.log --trs-file $$b.trs \
1525 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1526 "$$tst" $(AM_TESTS_FD_REDIRECT)
1527 testsuite/common/bits64m0.log: testsuite/common/bits64m0$(EXEEXT)
1528 @p='testsuite/common/bits64m0$(EXEEXT)'; \
1529 b='testsuite/common/bits64m0'; \
1530 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1531 --log-file $$b.log --trs-file $$b.trs \
1532 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1533 "$$tst" $(AM_TESTS_FD_REDIRECT)
1534 testsuite/common/bits64m63.log: testsuite/common/bits64m63$(EXEEXT)
1535 @p='testsuite/common/bits64m63$(EXEEXT)'; \
1536 b='testsuite/common/bits64m63'; \
1537 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1538 --log-file $$b.log --trs-file $$b.trs \
1539 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1540 "$$tst" $(AM_TESTS_FD_REDIRECT)
1541 testsuite/common/alu-tst.log: testsuite/common/alu-tst$(EXEEXT)
1542 @p='testsuite/common/alu-tst$(EXEEXT)'; \
1543 b='testsuite/common/alu-tst'; \
1544 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1545 --log-file $$b.log --trs-file $$b.trs \
1546 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1547 "$$tst" $(AM_TESTS_FD_REDIRECT)
1548 .test.log:
1549 @p='$<'; \
1550 $(am__set_b); \
1551 $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1552 --log-file $$b.log --trs-file $$b.trs \
1553 $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1554 "$$tst" $(AM_TESTS_FD_REDIRECT)
1555 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
1556 @am__EXEEXT_TRUE@ @p='$<'; \
1557 @am__EXEEXT_TRUE@ $(am__set_b); \
1558 @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1559 @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
1560 @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1561 @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
1562 check-am: all-am
1563 $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1564 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU check-TESTS
1565 check: check-recursive
1566 all-am: Makefile $(LIBRARIES) $(HEADERS) config.h
1567 installdirs: installdirs-recursive
1568 installdirs-am:
1569 for dir in "$(DESTDIR)$(pkgincludedir)"; do \
1570 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1571 done
1572 install: install-recursive
1573 install-exec: install-exec-recursive
1574 install-data: install-data-recursive
1575 uninstall: uninstall-recursive
1576
1577 install-am: all-am
1578 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1579
1580 installcheck: installcheck-recursive
1581 install-strip:
1582 if test -z '$(STRIP)'; then \
1583 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1584 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1585 install; \
1586 else \
1587 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1588 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1589 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1590 fi
1591 mostlyclean-generic:
1592 -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1593 -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1594 -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1595 -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1596
1597 clean-generic:
1598 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1599
1600 distclean-generic:
1601 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1602 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1603 -rm -f common/$(DEPDIR)/$(am__dirstamp)
1604 -rm -f common/$(am__dirstamp)
1605 -rm -f igen/$(DEPDIR)/$(am__dirstamp)
1606 -rm -f igen/$(am__dirstamp)
1607 -rm -f testsuite/common/$(DEPDIR)/$(am__dirstamp)
1608 -rm -f testsuite/common/$(am__dirstamp)
1609 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1610
1611 maintainer-clean-generic:
1612 @echo "This command is intended for maintainers to use"
1613 @echo "it deletes files that may require special tools to rebuild."
1614 clean: clean-recursive
1615
1616 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1617 clean-noinstLIBRARIES mostlyclean-am
1618
1619 distclean: distclean-recursive
1620 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1621 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1622 -rm -f Makefile
1623 distclean-am: clean-am distclean-DEJAGNU distclean-compile \
1624 distclean-generic distclean-hdr distclean-libtool \
1625 distclean-tags
1626
1627 dvi: dvi-recursive
1628
1629 dvi-am:
1630
1631 html: html-recursive
1632
1633 html-am:
1634
1635 info: info-recursive
1636
1637 info-am:
1638
1639 install-data-am: install-pkgincludeHEADERS
1640
1641 install-dvi: install-dvi-recursive
1642
1643 install-dvi-am:
1644
1645 install-exec-am:
1646
1647 install-html: install-html-recursive
1648
1649 install-html-am:
1650
1651 install-info: install-info-recursive
1652
1653 install-info-am:
1654
1655 install-man:
1656
1657 install-pdf: install-pdf-recursive
1658
1659 install-pdf-am:
1660
1661 install-ps: install-ps-recursive
1662
1663 install-ps-am:
1664
1665 installcheck-am:
1666
1667 maintainer-clean: maintainer-clean-recursive
1668 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1669 -rm -rf $(top_srcdir)/autom4te.cache
1670 -rm -rf common/$(DEPDIR) igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1671 -rm -f Makefile
1672 maintainer-clean-am: distclean-am maintainer-clean-generic
1673
1674 mostlyclean: mostlyclean-recursive
1675
1676 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1677 mostlyclean-libtool
1678
1679 pdf: pdf-recursive
1680
1681 pdf-am:
1682
1683 ps: ps-recursive
1684
1685 ps-am:
1686
1687 uninstall-am: uninstall-pkgincludeHEADERS
1688
1689 .MAKE: $(am__recursive_targets) all check-am install-am install-strip
1690
1691 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1692 am--refresh check check-DEJAGNU check-TESTS check-am clean \
1693 clean-checkPROGRAMS clean-cscope clean-generic clean-libtool \
1694 clean-noinstLIBRARIES cscope cscopelist-am ctags ctags-am \
1695 distclean distclean-DEJAGNU distclean-compile \
1696 distclean-generic distclean-hdr distclean-libtool \
1697 distclean-tags dvi dvi-am html html-am info info-am install \
1698 install-am install-data install-data-am install-dvi \
1699 install-dvi-am install-exec install-exec-am install-html \
1700 install-html-am install-info install-info-am install-man \
1701 install-pdf install-pdf-am install-pkgincludeHEADERS \
1702 install-ps install-ps-am install-strip installcheck \
1703 installcheck-am installdirs installdirs-am maintainer-clean \
1704 maintainer-clean-generic mostlyclean mostlyclean-compile \
1705 mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1706 recheck tags tags-am uninstall uninstall-am \
1707 uninstall-pkgincludeHEADERS
1708
1709 .PRECIOUS: Makefile
1710
1711
1712 # Generate nltvals.def for newlib/libgloss using devo and build tree.
1713 # This file is shipped with distributions so we build in the source dir.
1714 # Use `make nltvals' to rebuild.
1715 # Note: If gdb releases begin to contain target header files (not a good idea,
1716 # but if they did ...), nltvals.def coud be generated at build time.
1717 # An alternative is to slurp in the tables at runtime.
1718 .PHONY: nltvals
1719 nltvals:
1720 $(abs_srcdir)/common/gennltvals.py --cpp "$(CPP)" --output nltvals.def --srcroot $(srcroot)
1721 $(SHELL) $(srcroot)/move-if-change nltvals.def $(abs_srcdir)/common/nltvals.def
1722
1723 common/version.c: common/version.c-stamp ; @true
1724 common/version.c-stamp: $(srcroot)/gdb/version.in $(srcroot)/bfd/version.h $(srcdir)/common/create-version.sh
1725 $(AM_V_GEN)$(SHELL) $(srcdir)/common/create-version.sh $(srcroot)/gdb $@.tmp
1726 $(AM_V_at)$(SHELL) $(srcroot)/move-if-change $@.tmp $(@:-stamp=)
1727 $(AM_V_at)touch $@
1728
1729 # Alias for developers.
1730 @SIM_ENABLE_IGEN_TRUE@igen: igen/igen$(EXEEXT)
1731
1732 # These rules are copied from automake, but tweaked to use FOR_BUILD variables.
1733 @SIM_ENABLE_IGEN_TRUE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
1734 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)-rm -f $@
1735 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_AR)$(AR_FOR_BUILD) $(ARFLAGS) $@ $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
1736 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)$(RANLIB_FOR_BUILD) $@
1737
1738 @SIM_ENABLE_IGEN_TRUE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
1739 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CCLD)$(LINK_FOR_BUILD) $(igen_igen_OBJECTS) $(igen_igen_LDADD)
1740
1741 # igen is a build-time only tool. Override the default rules for it.
1742 @SIM_ENABLE_IGEN_TRUE@igen/%.o: igen/%.c
1743 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -c $< -o $@
1744
1745 # Build some of the files in standalone mode for developers of igen itself.
1746 @SIM_ENABLE_IGEN_TRUE@igen/%-main.o: igen/%.c
1747 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -DMAIN -c $< -o $@
1748
1749 site-srcdir.exp: Makefile
1750 echo "set srcdir \"$(srcdir)/testsuite\"" > $@
1751
1752 check-DEJAGNU: site.exp
1753 LC_ALL=C; export LC_ALL; \
1754 EXPECT=${EXPECT} ; export EXPECT ; \
1755 runtest=$(RUNTEST); \
1756 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
1757 $$runtest $(RUNTESTFLAGS); \
1758 else echo "WARNING: could not find \`runtest'" 1>&2; :;\
1759 fi
1760
1761 # These tests are build-time only tools. Override the default rules for them.
1762 testsuite/common/%.o: testsuite/common/%.c
1763 $(AM_V_CC)$(COMPILE_FOR_BUILD) $(testsuite_common_CPPFLAGS) -c $< -o $@
1764
1765 testsuite/common/alu-tst$(EXEEXT): $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1766 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_LDADD)
1767
1768 testsuite/common/fpu-tst$(EXEEXT): $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1769 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_LDADD)
1770
1771 testsuite/common/bits-gen$(EXEEXT): $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1772 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_LDADD)
1773
1774 testsuite/common/bits32m0$(EXEEXT): $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1775 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_LDADD)
1776
1777 testsuite/common/bits32m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1778 $(AM_V_GEN)$< 32 0 big > $@.tmp
1779 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1780 $(AM_V_at)mv $@.tmp $@
1781
1782 testsuite/common/bits32m31$(EXEEXT): $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1783 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_LDADD)
1784
1785 testsuite/common/bits32m31.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1786 $(AM_V_GEN)$< 32 31 little > $@.tmp
1787 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1788 $(AM_V_at)mv $@.tmp $@
1789
1790 testsuite/common/bits64m0$(EXEEXT): $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1791 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_LDADD)
1792
1793 testsuite/common/bits64m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1794 $(AM_V_GEN)$< 64 0 big > $@.tmp
1795 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1796 $(AM_V_at)mv $@.tmp $@
1797
1798 testsuite/common/bits64m63$(EXEEXT): $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1799 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_LDADD)
1800
1801 testsuite/common/bits64m63.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1802 $(AM_V_GEN)$< 64 63 little > $@.tmp
1803 $(AM_V_at)cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1804 $(AM_V_at)mv $@.tmp $@
1805
1806 all-recursive: $(SIM_ALL_RECURSIVE_DEPS)
1807
1808 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1809 # Otherwise a system limit (for SysV at least) may be exceeded.
1810 .NOEXPORT: